% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{flat_files}
\alias{flat_files}
\title{Exports flat files from the database.  One file per practice}
\usage{
flat_files(db, table = "Consultation", practice_table = "Practice", out_dir,
  file_type = c("txt", "csv", "rda", "dta"), ...)
}
\arguments{
\item{db}{a database connection}

\item{table}{character the table to be exported}

\item{practice_table}{the table that the practice definitions can be found}

\item{out_dir}{a directory to output to.  This will be created if it does not already exist}

\item{file_type}{the type of file to be saved. This can be one of "txt", "csv", "rda", "dta".}

\item{\dots}{arguments to be passed to export_fn
 
Defaults to exporting consultation tables for use by \code{match_on_index()}.  the full path 
to \code{out_dir} will be created if it does not already exist.}
}
\description{
Exports flat files from the database.  One file per practice
}
\seealso{
match_on_index
export_fn
}

